// wiz5Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "wiz5.h"
#include "wiz5Dlg.h"
#include "ModalaDlg.h"
#include "NemodalaDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CNemodalaDlg* p_Nemodala=NULL;

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWiz5Dlg dialog

CWiz5Dlg::CWiz5Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(CWiz5Dlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CWiz5Dlg)
	m_strNume = _T("");
	m_strPrenume = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CWiz5Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CWiz5Dlg)
	DDX_Control(pDX, IDC_LISTA, m_DisplayList);
	DDX_Text(pDX, IDC_NUME, m_strNume);
	DDX_Text(pDX, IDC_PRENUME, m_strPrenume);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CWiz5Dlg, CDialog)
	//{{AFX_MSG_MAP(CWiz5Dlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_AfFISEAZA, OnAfFISEAZA)
	ON_BN_CLICKED(IDC_COPII, OnCopii)
	ON_BN_CLICKED(IDC_START, OnStart)
	ON_BN_CLICKED(IDC_STOP, OnStop)
	ON_BN_CLICKED(IDC_TRIMITE, OnTrimite)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWiz5Dlg message handlers

BOOL CWiz5Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CWiz5Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CWiz5Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CWiz5Dlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CWiz5Dlg::OnAfFISEAZA() 
{
	// TODO: Add your control notification handler code here
	UpdateData();
	CString strText;
	strText += m_strNume+"   " + m_strPrenume;
	strText += "\n\n Copii: \n";
	strText+= "Nume : " + m_strNume+ "\n";
	strText+= "Prenume : " + m_strPrenCopil+ "\n";
	strText+= "Sex : " + m_strSexCopil+ "\n";
	CString temp;
	temp.Format("%d",m_nVirstaCopil);
	strText+= "Virsta : " + temp+ "\n";
	MessageBox(strText,"Nume parinte",MB_ICONEXCLAMATION);
}

void CWiz5Dlg::OnCopii() 
{
	// TODO: Add your control notification handler code here
	CModalaDlg dlgCasetaModala(this);
	int nRetCode;
	UpdateData();
	if (!m_strNume.IsEmpty()) 
	{
		dlgCasetaModala.m_strNume=m_strNume;
		nRetCode = dlgCasetaModala.DoModal();
	}
	else
		MessageBox("Nu avem un nume de parinte!",
         "Eroare",MB_ICONSTOP);
	if (nRetCode==IDOK)
	{
		m_strPrenCopil=dlgCasetaModala.m_strPrenume;
		m_strSexCopil=dlgCasetaModala.m_strSex;
		m_nVirstaCopil=dlgCasetaModala.m_nVirsta;
	}

}

void CWiz5Dlg::OnStart() 
{
	// TODO: Add your control notification handler code here
	if (!p_Nemodala)
	   p_Nemodala = new CNemodalaDlg(this);
	
}

void CWiz5Dlg::OnStop() 
{
	// TODO: Add your control notification handler code here
	if (p_Nemodala)
	{
		delete p_Nemodala;
		p_Nemodala=NULL;
	}

}

void CWiz5Dlg::OnTrimite() 
{
	// TODO: Add your control notification handler code here
	int	nr;
	CString Mesaj;
	nr=m_DisplayList.GetCount();
	if (p_Nemodala) {
	if (nr)
	{
       m_DisplayList.GetText(nr-1, Mesaj);
	   p_Nemodala->m_strMesaj = "Am primit mesajul " + Mesaj;
	}
	else p_Nemodala->m_strMesaj = CString("Nu am primit nimic!");
	p_Nemodala->UpdateData(FALSE);
   }
	
}
